extends Control

onready var taquin = $HSplitContainer/Taquin

func _ready():
	print("Starting state: ", taquin.current_state_name())

func _on_Taquin_state_changed(previous, new):
	print("Taquin state: ", Taquin.State.keys()[previous], " -> ", Taquin.State.keys()[new])
	match new:
		Taquin.State.WINNING:
			print("Solved!")
		Taquin.State.GAME_OVER:
			pass

func _on_New_game_pressed():
	$NewGamePanel.popup_centered(OS.window_size * 0.9)

func _on_NewGamePanel_about_to_show():
	$HSplitContainer/Taquin.set_process_input(false)

func _on_NewGamePanel_popup_hide():
	$HSplitContainer/Taquin.set_process_input(true)
